#ifndef CONSOLE_H
#define CONSOLE_H

#include "compiler.h"
#include "io.h"

#define CON_FLOW_CTL 0		/* Block on output full? */

void con_putc(char c);
void con_puts(const char *);
void __fmt_printf(1,0) con_vprintf(const char *, va_list);
void __fmt_printf(1,2) con_printf(const char *, ...);

static __always_inline void con_flush(void)
{
    while (CON_FLOW_CTL && !(CON_STATUS & CON_STATUS_TX_EMPTY))
	pause();
}

#endif /* CONSOLE_H */
